Bug 214587 - x11-drivers/xf86-video-ati: Update to 7.8.0
Summary: x11-drivers/xf86-video-ati: Update to 7.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-16 23:14 UTC by Matthew Rezny
Modified: 2017-02-20 19:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
update xf86-video-ati to 7.7.1 (3.67 KB, patch)
2016-11-16 23:14 UTC, Matthew Rezny
no flags Details | Diff
update xf86-video-ati to 7.8.0 (3.81 KB, patch)
2016-11-21 18:29 UTC, Matthew Rezny
no flags Details | Diff
update xf86-video-ati to 7.8.0 (7.81 KB, patch)
2017-01-19 18:14 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2016-11-16 23:14:21 UTC
Created attachment 177093 [details]
update xf86-video-ati to 7.7.1

Simply update the ATI (Radeon) driver to 7.7.1, and while doing so, remove obsolete patch chunks.

QA: Running for months on multiple 10/11-STABLE amd64 systems with Radeon GPUs.
Comment 1 Matthew Rezny freebsd_committer 2016-11-21 18:29:30 UTC
Created attachment 177241 [details]
update xf86-video-ati to 7.8.0

Refresh the patch to update to 7.8.0, which was released the next day with support for xorg-server 1.19 as well as 2D compositing improvements, support for TearFree support, etc.

QA: stage-qa and check-orphans are clean, running since the day of release on an 11 amd64 system with xorg-server 1.18
Comment 2 commit-hook freebsd_committer 2017-01-13 23:49:19 UTC
A commit references this bug:

Author: bapt
Date: Fri Jan 13 23:49:08 UTC 2017
New revision: 431451
URL: https://svnweb.freebsd.org/changeset/ports/431451

Log:
  Update to 7.8.0

  PR:		214587
  Submitted by:	matthew@reztek.cz

Changes:
  head/x11-drivers/xf86-video-ati/Makefile
  head/x11-drivers/xf86-video-ati/distinfo
  head/x11-drivers/xf86-video-ati/files/patch-src__radeon_dri2.c
  head/x11-drivers/xf86-video-ati/files/patch-src__radeon_kms.c
Comment 3 Matthew Rezny freebsd_committer 2017-01-19 18:07:57 UTC
Changing from closed to in progress since the commit was reverted.


Updating drivers was perhaps premature. I had tested these with xorg server 1.18.4 and 1.19, but not 1.17 although this version should work with servers back to 1.10. Also, my testing has been with more current Mesa and the issues reported on the ML sound like problems with OpenGL not working (GL compositors fail).
Comment 4 Matthew Rezny freebsd_committer 2017-01-19 18:14:20 UTC
Created attachment 179076 [details]
update xf86-video-ati to 7.8.0

I've updated the patch to account for the bump of PORTEPOCH and added a patch from upstream git which enables Glamor and thus DRI3 by default on R600+ with Xorg server 1.18.3 or newer. I have verified glamor is working and DRI3 is enabled when run with Xorg server 1.18.4 and Mesa 13.0.3.
Comment 5 James Lin 2017-02-20 19:21:27 UTC
It seems that DRI3 doesn't fully work...
Glxgears and Glamor run in DRI2 mode...
So...I prefer DRI2 in xorg.conf...true